org.bouncycastle.jce.provider.test

## Class PKIXNameConstraintsTest

- java.lang.Object
- - org.bouncycastle.util.test.SimpleTest
  - - org.bouncycastle.jce.provider.test.PKIXNameConstraintsTest

All Implemented Interfaces:
  Test

    public class PKIXNameConstraintsTest
    extends SimpleTest

Test class for `PKIXNameConstraintValidator`.

The field testXYZ is the name to test.

The field testXYZIsConstraint must be tested if it is permitted and excluded.

The field testXYZIsNotConstraint must be tested if it is not permitted and not excluded.

Furthermore there are tests for the intersection and union of test names.

### Constructor Summary

Constructors
Constructor and Description
`PKIXNameConstraintsTest()`

### Method Summary

Methods
`java.lang.String` `getName()`
`static void` `main(java.lang.String[] args)`
`void` `performTest()`

### Methods inherited from class org.bouncycastle.util.test.SimpleTest

`areEqual, fail, fail, fail, perform, runTest, runTest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PKIXNameConstraintsTest

    public PKIXNameConstraintsTest()

### Method Detail

#### getName

    public java.lang.String getName()

Specified by:
  `getName` in interface `Test`
Specified by:
  `getName` in class `SimpleTest`

#### performTest

    public void performTest()
                     throws java.lang.Exception

Specified by:
  `performTest` in class `SimpleTest`
Throws:
  `java.lang.Exception`

#### main

    public static void main(java.lang.String[] args)